using System;

class Theatre
{
    static void Main()
    {
        bool[][] seats = new bool[10][];

        for (int row = 1; row <= seats.Length; ++row)
        {
            if (row < 3 || row > 4)
                seats[row - 1] = new bool[20];
            else
                seats[row - 1] = new bool[18];
        }

        seats[2][10] = true;

        for (int row = 1; row <= seats.Length; ++row)
        {
            if (row == 3 || row == 4)
                Console.Write("  ");

            for (int seat = 1; seat <= seats[row - 1].Length; ++seat)
            {
                if (seats[row - 1][seat - 1] == false)
                    Console.Write("f ");
                else
                    Console.Write("b ");
            }
            Console.WriteLine();
        }
    }
}
